<?php

namespace Drupal\image_deriver\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\image_deriver\DeriverManager;

/**
 * Returns responses for Image Deriver routes.
 */
class DeriverController extends ControllerBase {

  protected $deriverManager;

  public function __construct(DeriverManager $deriverManager) {
    $this->deriverManager = $deriverManager;
  }

  public static function create(ContainerInterface $container) {
    return new static($container->get('image_deriver.deriver_manager'));
  }

  public function overview() {
    return [
      '#markup' => $this->t('Manage your image derivers here.'),
    ];
  }

}
