<?php

namespace Drupal\image_deriver\Plugin\ImageDeriver;

use Drupal\Core\Plugin\PluginBase;
use Drupal\image_deriver\ImageDeriverPluginInterface;

abstract class ImageDeriverBase extends PluginBase implements ImageDeriverPluginInterface {

  public function getImage($derivative_uri) {
    // If the source file doesn't exist, return FALSE.
    $image = \Drupal::service('image.factory')->get($derivative_uri);
    if (!$image->isValid()) {
      return FALSE;
    }
    return $image;
  }
}
