<?php

namespace Drupal\image_deriver\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Form for adding a Deriver.
 */
class DeriverAddForm extends DeriverFormBase {
  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);
    $this->messenger()->addMessage($this->t('Deriver %name was created.', ['%name' => $this->entity->label()]));
  }

  /**
   * {@inheritdoc}
   */
  public function actions(array $form, FormStateInterface $form_state) {
    $actions = parent::actions($form, $form_state);
    $actions['submit']['#value'] = $this->t('Create Deriver');

    return $actions;
  }
}
