<?php

namespace Drupal\image_deriver\Plugin\ImageDeriver;

use Drupal\image_deriver\Attribute\ImageDeriver;

/**
 * Example implementation of an Image Deriver plugin using attributes.
 */
/**
 * @ImageDeriver(
 *   id = "original",
 *   label = @Translation("Original Image"),
 *   description = @Translation("Original image format. No conversion is done here.")
 * )
 */
class Original extends ImageDeriverBase {

  /**
   * convert the image derivation.
   */
  public function convert($derivative_url) {
    // Do no converting.
  }
}
